nintendo won't let me shop until upgrade

Discussion in 'Wii - Nintendo Wi-Fi Connection' started by tubebar, May 19, 2009.

May 19, 2009
  1. tubebar
    OP

    Member tubebar GBAtemp Regular

    Joined:
    May 17, 2009
    Messages:
    146
    Country:
    United States
    This is the first time I connected my Wii to the internet, mostly so i can browse and buy games, strip the DRM w/ Wad Creator.

    I have a NTSC/US Wii with firmware 3.3u, softmodded with: Homebrew Channel, Wii Backup, GC Backup, cIOS36 rev9 and recently I installed the Pre Loader and Bootmii (boot 1).

    What is the risk in updating? It has to be bad, how do people get around this and safely shop online?
     
  2. DKAngel

    Member DKAngel GBAtemp Advanced Fan

    Joined:
    Jan 5, 2009
    Messages:
    659
    Location:
    Perth,Australia
    Country:
    Australia
    look for the shop updates which u can do without changing system menu
     
  3. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    I think using WiiSCU to update Shop Channel and IOS 61 will allow you to use shop channel without updating, but I haven't tried this (yet)
     
  4. Bladexdsl

    Member Bladexdsl ZOMG my posts...it's over 9000!!!

    Joined:
    Nov 17, 2008
    Messages:
    14,350
    Location:
    Queensland
    Country:
    Australia
    why shop when you can wad! [​IMG]
     
  5. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    because that is piracy and illegal and stuff
     
  6. ddp127

    Member ddp127 GBAtemp Fan

    Joined:
    Jan 14, 2009
    Messages:
    449
    Country:
    Netherlands
    but thats why you are here on gbatemp, to pirate games [​IMG]
     
  7. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    actually no I dont pirate games, i come here for the homebrew discussion, as it's the only active homebrew forum i can find. i will never pirate a game and have never pirated a game.
     
  8. tubebar
    OP

    Member tubebar GBAtemp Regular

    Joined:
    May 17, 2009
    Messages:
    146
    Country:
    United States
    DKangel what shop updates should I look for?

    There are 2 reasons to shop online:

    1. Not every game you want is available for free.

    2. To share games w/ everyone else. It's the ppl who don't contribute who hurt the scene.
     
  9. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    WiiSCU, like i said before. Update Shop Channel, IOS 61 and IOS 60 and you can access shop channel on any firmware version.
     
  10. tubebar
    OP

    Member tubebar GBAtemp Regular

    Joined:
    May 17, 2009
    Messages:
    146
    Country:
    United States
  11. tubebar
    OP

    Member tubebar GBAtemp Regular

    Joined:
    May 17, 2009
    Messages:
    146
    Country:
    United States
    I guess they're the same? Do I need to install PatchMii? Trying to figure out how to install this.
     
  12. tubebar
    OP

    Member tubebar GBAtemp Regular

    Joined:
    May 17, 2009
    Messages:
    146
    Country:
    United States
    nevermind I got it, WiiSCU is a dol file so should be straight forward via the HBC. Thanks.
     
  13. tubebar
    OP

    Member tubebar GBAtemp Regular

    Joined:
    May 17, 2009
    Messages:
    146
    Country:
    United States
    FYI - I Updated the Shop Channel + IOS 60 + 61 (+Trucha) and worked fine. Thanks for your help m8.
     
  14. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    just so you know, wii shop and ios 51 updater is for updating the shop channel to the 3.4 version iirc. you need WiiSCU if you want the shop to work these days. wii shop and ios 51 updater is outdated. WiiSCU is based on that program, and it also updates more than just the shop channel if you tell it to.
     
  15. Midnightzak

    Member Midnightzak GBAtemp Regular

    Joined:
    Aug 5, 2008
    Messages:
    176
    Country:
    United States
    If you already have the HBC installed then there is very little to worry about with future updates. What you already have installed will be fine 99% of the time. I personally had 3.2E with HBC and have done disc updates and WiFi updates via Ninty and have had ZERO problems. I now have 4.0 with a fully softmodded Wii, both homebrew and pirate stuff works just fine.
     

Share This Page